> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove user from chat

> Removes a user from the chat.

The following restrictions apply:

- You can't remove the `customer`.
- The requester must be present on the list of chat users. You can override it by setting the `ignore_requester_presence` parameter.

**Required scopes:** <Tooltip tip="To remove a user from a chat taking place in any group.">`chats--all:rw`</Tooltip> or <Tooltip tip="To remove a user from a chat taking place in groups that the requester (related to the token) is a member of. The agent groups and the chat groups must overlap — at least one group must be in common.">`chats--access:rw`</Tooltip>


## OpenAPI

````yaml /api/agent-chat/v3.6/openapi.json post /action/remove_user_from_chat
openapi: 3.0.0
info:
  title: Agent Chat API
  description: >-
    The Agent Chat API allows you to manage chats, threads, events, and agent
    state.
  version: '3.6'
servers:
  - url: https://api.livechatinc.com/v3.6/agent
    description: Production server
security: []
paths:
  /action/remove_user_from_chat:
    post:
      tags:
        - Chat users
      summary: Remove user from chat
      description: >-
        Removes a user from the chat.


        The following restrictions apply:


        - You can't remove the `customer`.

        - The requester must be present on the list of chat users. You can
        override it by setting the `ignore_requester_presence` parameter.
      operationId: remove-user-from-chat
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RemoveUserFromChatRequest'
            example:
              chat_id: PW94SJTGW6
              user_id: smith@example.com
              user_type: agent
      responses:
        '200':
          description: User removed from chat.
      security:
        - PersonalAccessToken: []
        - OAuth2BearerToken:
            - chats--all:rw
components:
  schemas:
    RemoveUserFromChatRequest:
      type: object
      required:
        - chat_id
        - user_id
        - user_type
      properties:
        chat_id:
          type: string
          description: The chat ID.
        user_id:
          type: string
          description: The user ID.
        user_type:
          type: string
          enum:
            - agent
          description: >-
            The user type. Only `agent` can be removed; customers cannot be
            removed from the chat.
        ignore_requester_presence:
          type: boolean
          default: false
          description: >-
            If `true`: the requester doesn't need to be present on the list of
            chat users.
  securitySchemes:
    PersonalAccessToken:
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
      type: http
      scheme: basic
    OAuth2BearerToken:
      description: >-
        This API uses OAuth2 with the implicit grant flow. <a
        href="/authentication/oauth-authorization#implicit-grant">Learn about
        the implicit grant flow.</a>
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://accounts.livechat.com
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of
        authorizationCode:
          authorizationUrl: https://accounts.livechat.com
          tokenUrl: https://accounts.livechat.com/token
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of

````